from sqlalchemy import Column, String, Float, Integer, Text, Boolean
from app.models.base_model import BaseModel


class Product(BaseModel):
    """Model for product items."""

    __tablename__ = "products"

    name = Column(String(255), nullable=False, index=True)
    description = Column(Text, nullable=True)
    price = Column(Float, nullable=False)
    stock = Column(Integer, nullable=False, default=0)
    image_url = Column(String(512), nullable=True)
    is_active = Column(Boolean, default=True, nullable=False)