# Re-export service functions for easier imports elsewhere
from app.services.product_service import (
    get_products as get_products,
    get_product_by_id as get_product_by_id,
    create_product as create_product,
    update_product as update_product,
    delete_product as delete_product,
    get_product_count as get_product_count
)

from app.services.cart_service import (
    get_active_cart as get_active_cart,
    get_cart_with_items as get_cart_with_items,
    get_cart_detail as get_cart_detail,
    add_item_to_cart as add_item_to_cart,
    update_cart_item as update_cart_item,
    remove_cart_item as remove_cart_item,
    clear_cart as clear_cart
)

__all__ = [
    "get_products", "get_product_by_id", "create_product", "update_product",
    "delete_product", "get_product_count", "get_active_cart", "get_cart_with_items",
    "get_cart_detail", "add_item_to_cart", "update_cart_item", "remove_cart_item",
    "clear_cart"
]